Class LicensesListResponse.Builder (1.91.0)

public static final class LicensesListResponse.Builder extends GeneratedMessageV3.Builder<LicensesListResponse.Builder> implements LicensesListResponseOrBuilder

Protobuf type google.cloud.compute.v1.LicensesListResponse

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends License> values)

public LicensesListResponse.Builder addAllItems(Iterable<? extends License> values)

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.License>
Returns
Type Description
LicensesListResponse.Builder

addItems(License value)

public LicensesListResponse.Builder addItems(License value)

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Parameter
Name Description
value License
Returns
Type Description
LicensesListResponse.Builder

addItems(License.Builder builderForValue)

public LicensesListResponse.Builder addItems(License.Builder builderForValue)

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Parameter
Name Description
builderForValue License.Builder
Returns
Type Description
LicensesListResponse.Builder

addItems(int index, License value)

public LicensesListResponse.Builder addItems(int index, License value)

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Parameters
Name Description
index int
value License
Returns
Type Description
LicensesListResponse.Builder

addItems(int index, License.Builder builderForValue)

public LicensesListResponse.Builder addItems(int index, License.Builder builderForValue)

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Parameters
Name Description
index int
builderForValue License.Builder
Returns
Type Description
LicensesListResponse.Builder

addItemsBuilder()

public License.Builder addItemsBuilder()

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Returns
Type Description
License.Builder

addItemsBuilder(int index)

public License.Builder addItemsBuilder(int index)

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
License.Builder

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public LicensesListResponse.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
LicensesListResponse.Builder
Overrides

build()

public LicensesListResponse build()
Returns
Type Description
LicensesListResponse

buildPartial()

public LicensesListResponse buildPartial()
Returns
Type Description
LicensesListResponse

clear()

public LicensesListResponse.Builder clear()
Returns
Type Description
LicensesListResponse.Builder
Overrides

clearField(Descriptors.FieldDescriptor field)

public LicensesListResponse.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
LicensesListResponse.Builder
Overrides

clearId()

public LicensesListResponse.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
LicensesListResponse.Builder

This builder for chaining.

clearItems()

public LicensesListResponse.Builder clearItems()

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Returns
Type Description
LicensesListResponse.Builder

clearNextPageToken()

public LicensesListResponse.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
LicensesListResponse.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public LicensesListResponse.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
LicensesListResponse.Builder
Overrides
public LicensesListResponse.Builder clearSelfLink()

Output only. [Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
LicensesListResponse.Builder

This builder for chaining.

clearWarning()

public LicensesListResponse.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
LicensesListResponse.Builder

clone()

public LicensesListResponse.Builder clone()
Returns
Type Description
LicensesListResponse.Builder
Overrides

getDefaultInstanceForType()

public LicensesListResponse getDefaultInstanceForType()
Returns
Type Description
LicensesListResponse

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public License getItems(int index)

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
License

getItemsBuilder(int index)

public License.Builder getItemsBuilder(int index)

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
License.Builder

getItemsBuilderList()

public List<License.Builder> getItemsBuilderList()

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Returns
Type Description
int

getItemsList()

public List<License> getItemsList()

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;

Returns
Type Description
List<License>

getItemsOrBuilder(int index)

public LicenseOrBuilder getItemsOrBuilder(int index)

A list of License resources.

repeated .google.cloud.compute.v1.License items = 100526016;